<?php

/*
	[SupeSite/X-Space] (C)2001-2006 Comsenz Inc.
	升級文件
	適用於release0515版本(X-Space v1.0正式版)到release0610版本(SupeSite V5.0)的數據庫升級

	$RCSfile: update_0515_0610.php,v $
	$Revision: 1.7 $
	$Date: 2006/09/21 08:42:28 $
*/

define('IN_SUPESITE', TRUE);
define('S_ROOT', '');

error_reporting(E_ERROR | E_WARNING | E_PARSE);
set_magic_quotes_runtime(0);

if(!file_exists('./config.php')) {
	exit('請將本文件移動到程序根目錄下面，然後再執行進行升級');
}

include_once './config.php';
include_once './update/inc/func.php';
include_once './class/db_mysql.class.php';
include_once './function/cache.func.php';
include_once './function/common.func.php';

if(!@mysql_connect($dbhost, $dbuser, $dbpw)) {
	exit('請先使用最新版本的config.php覆蓋\您程序目錄上面的config.php，並且將config.php參數手工設置正確後，然後再執行進行升級');
}

$_SCONFIG = $_SGLOBAL = array();
$_SCONFIG['stablepre'] = $stablepre;
$_SCONFIG['dtablepre'] = $tablepre;
$_SGLOBAL['db'] = new dbstuff;
$_SGLOBAL['timestamp'] = time();

//SQL升級文
$sqlfile = './update/sql/0515_0610.sql';

//頁面顯示
tplheader();
echo '<ul>';
echo '<li>SupeSite/X-Space升級開始</li>';

//升級數據庫
dbupdate();

//設置緩存
updatesettingcache();
//用戶組緩存
updategroupcache();
//廣告緩存
updateadcache();
//頁面特效
updateeffectcache();
//crons列表
updatecronscache();
//計劃任務
updatecroncache();
//緩存論壇設置
updatebbssetting();
//緩存論壇風格設置
updatebbsstyle();
//緩存論壇語言屏蔽
updatebbscensor();
//緩存論壇bbcode/smiles
updatebbsbbcode();

//頁面顯示
echo '<li>release0515版本(X-Space v1.0正式版)到release0610版本(SupeSite V5.0)升級結束。</li>';
echo '<li>請參考反饋信息，如果有錯誤發生，請檢查您升級前的數據庫結構是否正確。</li>';
echo '<li>如果無錯誤提示，表示升級成功\，請立即刪除本文件！不要再次運行本升級文件。</li>';
echo '</ul>';
tplfooter();

?>